OpenVDB 13.0.0

Loading...
Searching...
No Matches
HalfReader< false, T > Struct Template Reference

Partial specialization for non-floating-point types (no half to float promotion). More...

`#include <openvdb/io/Compression.h>`

## Static Public Member Functions
static void | read (std::istream &is, T *data, Index count, uint32_t compression, DelayedLoadMetadata *metadata=nullptr, size_t metadataOffset=size_t(0))

## Detailed Description

template<typename T>
struct openvdb::v13_0::io::HalfReader< false, T >

Partial specialization for non-floating-point types (no half to float promotion).

## Member Function Documentation

## ◆ read()

template<typename T>

void read | ( | std::istream & | is,
|  | T * | data,
|  | Index | count,
|  | uint32_t | compression,
|  | DelayedLoadMetadata * | metadata = nullptr,
|  | size_t | metadataOffset = size_t(0) )
| inline static